curl --request GET \
--url https://api.jup.ag/prediction/v1/orderbook/{marketId} \
--header 'x-api-key: <api-key>'{
"yes": [
[
123
]
],
"no": [
[
123
]
],
"yes_dollars": [
"<array>"
],
"no_dollars": [
"<array>"
]
}Get Orderbook
Get orderbook data for a specific market
curl --request GET \
--url https://api.jup.ag/prediction/v1/orderbook/{marketId} \
--header 'x-api-key: <api-key>'{
"yes": [
[
123
]
],
"no": [
[
123
]
],
"yes_dollars": [
"<array>"
],
"no_dollars": [
"<array>"
]
}Documentation Index
Fetch the complete documentation index at: https://dev.jup.ag/docs/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Get API key via https://developers.jup.ag/portal
Path Parameters
Kalshi or Polymarket market identifier
1"KXF1-25-LN"
Response
Orderbook depth for the given market
YES-side levels sorted by price descending. Each entry is a [price_cents, size] tuple.
2 elementsNO-side levels sorted by price descending. Each entry is a [price_cents, size] tuple.
2 elementsYES-side levels with price as decimal dollar string. Each entry is a [price_string, size] tuple, e.g. ["0.0100", 346014].
2 elementsNO-side levels with price as decimal dollar string. Each entry is a [price_string, size] tuple, e.g. ["0.0100", 219].
2 elementsWas this page helpful?
